Bug 735497 - [gdl] lacks signature
Summary: [gdl] lacks signature
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gdl
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-02 20:04 UTC by Joachim Frieben
Modified: 2011-09-03 19:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-03 19:00:11 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2011-09-02 20:04:26 UTC
Description of problem:
Run 'rpm -qip gdl-0.9.1-1.fc15.x86_64.rpm' and learn to your utmost distress that this package seems to be unsigned:

Name        : gdl
Version     : 0.9.1
Release     : 1.fc15
Architecture: x86_64
Install Date: (not installed)
Group       : Applications/Engineering
Size        : 8160839
License     : GPLv2+
Signature   : (none)
Source RPM  : gdl-0.9.1-1.fc15.src.rpm
Build Date  : Wed 30 Mar 2011 06:09:12 PM CEST
Build Host  : x86-02.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://gnudatalanguage.sourceforge.net/
Summary     : GNU Data Language
Description :
A free IDL (Interactive Data Language) compatible incremental compiler
(i.e. runs IDL programs). IDL is a registered trademark of Research
Systems Inc.

Version-Release number of selected component (if applicable):
gdl-0.9.1-1.fc15.x86_64.rpm

How reproducible:
Always.

Steps to Reproduce:
1. rpm -qip gdl-0.9.1-1.fc15.x86_64.rpm
  
Actual results:
Signature   : (none)

Expected results:
Signature   : RSA/SHA256, .., Key ID b4ebf579069c8460

Additional info:
Previous build gdl-0.9-6.fc15.x86_64.rpm is also lacking the signature.

Comment 1 Orion Poplawski 2011-09-02 22:00:07 UTC
Where are you downloading it from?  The one I downloaded is signed.

Comment 2 Joachim Frieben 2011-09-03 07:08:46 UTC
Koji build server: Signature   : (none)
Some FTP server:   Signature   : RSA/SHA256, Wed 30 Mar 2011
                                 06:49:50 PM CEST,
                                 Key ID b4ebf579069c8460

Comment 3 Joachim Frieben 2011-09-03 19:00:11 UTC
Koji builds are usually unsigned, thus nothing to worry about ..


Note You need to log in before you can comment on or make changes to this bug.